import argparse
from os import path

from u4dump import *

if __name__ == '__main__':

    parser = argparse.ArgumentParser(description='Load and render an Ultima IV dungeon.')
    parser.add_argument('filename')
    parser.add_argument('-t', '--tileset')
    
    args = parser.parse_args()
    if args.tileset is not None:
        tilesetPath = args.tileset
    else:
        tilesetPath = path.join(path.dirname(args.filename), "SHAPES.EGA")
    tileset = load_tileset(tilesetPath)
    
    outputPrefix = path.splitext(path.split(args.filename)[1])[0]
    
    floors = draw_dungeon_floors(args.filename, tileset)
    
    for floorIndex, floorImage in enumerate(floors):
        floorImage.save(outputPrefix + str(floorIndex) + '.png')
    