import argparse
from os import path

from u4dump import *

if __name__ == '__main__':

    parser = argparse.ArgumentParser(description='Load and render an Ultima IV town.')
    parser.add_argument('filename')
    parser.add_argument('-t', '--tileset')
    parser.add_argument('-c', '--conversationFile')
    
    args = parser.parse_args()
    if args.tileset is not None:
        tilesetPath = args.tileset
    else:
        tilesetPath = path.join(path.dirname(args.filename), "SHAPES.EGA")
    tileset = load_tileset(tilesetPath)
    
    if args.conversationFile is not None:
        conversationFile = args.conversationFile
    else:
        conversationFile = path.splitext(args.filename)[0] + '.TLK'
    
    outputFile = path.splitext(path.split(args.filename)[1])[0]
    
    town = load_town(args.filename, conversationFile, tileset)
    outputImage = draw_town(town, tileset)
    outputImage.save(outputFile + '.png')
    